## amule 2.3.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (amule)
set (MIN_BOOST_VERSION 1.47)
set (MIN_CRYPTOPP_VERSION 5.6)
set (MIN_GDLIB_VERSION 2.0.0)
set (MIN_WX_VERSION 2.8.12)
set (PACKAGE "amule")
set (PACKAGE_BUGREPORT "admin@amule.org")
set (PACKAGE_NAME "aMule")
set (PACKAGE_STRING "aMule 2.3.3")
set (PACKAGE_TARNAME "amule")
set (PACKAGE_URL \"\")
set (PACKAGE_VERSION "2.3.3")
set (VERSION "GIT")
set (DEFAULT_BUILD_TYPE "Release")
set (RECONF_COMMAND ${CMAKE_COMMAND})

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
	SET (DEFAULT_BUILD_TYPE "Debug")
endif()

# Set the possible values of build type for cmake-gui
if (CMAKE_CONFIGURATION_TYPES)
	set (CMAKE_CONFIGURATION_TYPES "Debug;Release" CACHE
		STRING "Semicolon separated list of supported configuration types, only supports debug and release, anything else will be ignored" FORCE
	)

	set_property (CACHE CMAKE_CONFIGURATION_TYPES PROPERTY STRINGS
		"Debug" "Release"
	)
endif()

if (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
	message (STATUS "Setting build type to '${DEFAULT_BUILD_TYPE}' as none was specified.")
	set (CMAKE_BUILD_TYPE "${DEFAULT_BUILD_TYPE}" CACHE
		STRING "Choose the type of build." FORCE
	)
endif()

include (cmake/CmDaB.cmake)
include (cmake/manpage_install.cmake)
include (cmake/options.cmake)
include (cmake/search-dirs.cmake)

if (BUILD_AMULECMD OR BUILD_WEBSERVER)
	include (cmake/FindReadline.cmake)
endif()

if (BUILD_CAS)
	include (cmake/gdlib.cmake)
	include (cmake/getopt_long.cmake)
endif()

if (BUILD_PLASMAMULE)
	find_package (Qt4 COMPONENTS QtCore QtGUI REQUIRED)
endif()

if (BUILD_WEBSERVER OR NEED_ZLIB)
	include (cmake/zlib.cmake)
endif()

if (BUILD_WEBSERVER)
	include (cmake/png.cmake)
endif()

if (ENABLE_BOOST)
	include (cmake/boost.cmake)
endif()

if (ENABLE_IP2COUNTRY)
	include (cmake/ip2country.cmake)
endif()

if (ENABLE_NLS)
	include (cmake/nls.cmake)
endif()

if (ENABLE_UPNP)
	include (cmake/upnp.cmake)
endif()

if (NEED_GLIB_CHECK)
	include (cmake/glib21.cmake)
endif()

if (NEED_LIB_CRYPTO)
	include (cmake/cryptopp.cmake)
endif()

if (wx_NEEDED)
	include (cmake/wx.cmake)
endif()

if (NOT SVNDATE)
	find_package (Git)

	if (GIT_FOUND)
		execute_process (
			COMMAND ${GIT_EXECUTABLE} describe
			OUTPUT_VARIABLE GIT_INFO_WC_REVISION
			OUTPUT_STRIP_TRAILING_WHITESPACE
			WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
	endif (GIT_FOUND)

	set (SVNDATE "rev. ${GIT_INFO_WC_REVISION}" CACHE STRING "Revision to be written to version string" FORCE)
	message (STATUS "git revision ${SVNDATE} found")
endif()

include (cmake/bfd.cmake)

configure_file (
	config.h.cm
	config.h
)

if (WIN32)
	configure_file (
		version.rc.in
		version.rc
	)
endif()

if (BUILD_MONOLITHIC)
	install (FILES amule.desktop
		DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
	)
endif()

if (BUILD_REMOTEGUI)
	install (FILES amulegui.desktop
		DESTINATION "${CMAKE_INSTALL_DATADIR}/applications"
	)
endif()

add_subdirectory (docs)
add_subdirectory (src)

if (BUILD_TESTING)
	enable_testing()
	add_subdirectory (unittests)
endif()

message (STATUS "

	Configured aMule ${PACKAGE_VERSION}${SVN_REVISION} for '${CMAKE_SYSTEM}' on '${CMAKE_SYSTEM_PROCESSOR}'.

	aMule enabled options:

	**** aMule Core ****
	Prefix where aMule should be installed?				${CMAKE_PREFIX_PATH}
	Should aMule be compiled with i18n support?			${ENABLE_NLS}
	Which mode should aMule be compiled in?				${CMAKE_BUILD_TYPE}
	Should aMule be compiled with UPnP support?			${ENABLE_UPNP}
	Should aMule be compiled with IP2country support?		${ENABLE_IP2COUNTRY}
	Should aMule monolithic application be built?			${BUILD_MONOLITHIC}
	Should aMule daemon version be built?				${BUILD_DAEMON}
	Should aMule remote gui be built?				${BUILD_REMOTEGUI}

	**** aMule TextClient ****
	Should aMule Command Line Client be built?			${BUILD_AMULECMD}

	**** aMule WebServer ****
	Should aMule WebServer be built?				${BUILD_WEBSERVER}

	**** aMule ED2K Links Handler ****
	Should aMule ED2K Links Handler be built?			${BUILD_ED2K}

	**** aMuleLinkCreator ****
	Should aMuleLinkCreator GUI version (alc) be built?		${BUILD_ALC}
	Should aMuleLinkCreator for console (alcc) be built?		${BUILD_ALCC}

	**** aMule Statistics ****
	Should C aMule Statistics (CAS) be built?			${BUILD_CAS}
	Should aMule GUI Statistics (wxCas) be built?			${BUILD_WXCAS}"
)

if (UNIX)
	message ("	Should xas XChat2 plugin be installed?				${BUILD_XAS}")
endif()

message ("
	**** General Libraries and Tools ****
	Should aMule file viewer for console be built?			${BUILD_FILEVIEW}

	Libraries aMule will use to build:"
)

if (NEED_WX)
	message (STATUS "			wxWidgets				${WX_VERSION}")
endif()

if (ASIO_SOCKETS)
	message ("			boost				${Boost_VERSION}")
endif()

if (NEED_LIB_CRYPTO)
	message ("			crypto++			${CRYPTOPP_VERSION} in ${CRYPTOPP_INCLUDE_PREFIX}")
endif()

if (ENABLE_UPNP)
	message ("			libupnp				${LIBUPNP_VERSION}")
endif()

message ("			libintl				${ENABLE_NLS}")

if (ENABLE_IP2COUNTRY)
	message ("			libGeoIP			${GEOIP_LIB}")
endif()

if (BUILD_WEBSERVER)
	message ("			libpng				${PNG_VERSION_STRING}")
endif()

if (BUILD_CAS)
	message ("			libgd				${gdlib_VERSION}")
endif()

if (NEED_ZLIB)
	message ("			zlib				${ZLIB_VERSION_STRING}")
endif()

=== docs/CMakeLists.txt ===
ADD_SUBDIRECTORY (man)

INSTALL (FILES
	ABOUT-NLS
	amulesig.txt
	Changelog
	EC_Protocol.txt
	INSTALL
	license.txt
	README
	TODO
	DESTINATION "${CMAKE_INSTALL_DOCDIR}"
)

=== po/CMakeLists.txt ===
FILE (GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.po")

INCLUDE (CMakeDependentOption)

FUNCTION (SetTranslationOption PoName DefaultMode)
	SET (LangName "${PoName}")
	STRING (REGEX REPLACE "^ar$"	"Arabic"		LangName "${LangName}")
	STRING (REGEX REPLACE "^ast$"	"Asturian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^bg$"	"Bulgarian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^ca$"	"Catalan"		LangName "${LangName}")
	STRING (REGEX REPLACE "^cs$"	"Czech"			LangName "${LangName}")
	STRING (REGEX REPLACE "^da$"	"Danish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^de$"	"German"		LangName "${LangName}")
	STRING (REGEX REPLACE "^el$"	"Greek"			LangName "${LangName}")
	STRING (REGEX REPLACE "^en_GB$"	"English"		LangName "${LangName}")
	STRING (REGEX REPLACE "^es$"	"Spanish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^et_EE$"	"Estonian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^eu$"	"Basque"		LangName "${LangName}")
	STRING (REGEX REPLACE "^fi$"	"Finnish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^fr$"	"French"		LangName "${LangName}")
	STRING (REGEX REPLACE "^gl$"	"Galician"		LangName "${LangName}")
	STRING (REGEX REPLACE "^he$"	"Hebrew"		LangName "${LangName}")
	STRING (REGEX REPLACE "^hr$"	"Croatian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^hu$"	"Hungarian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^it$"	"Italian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^it_CH$"	"Italian (Swiss)"	LangName "${LangName}")
	STRING (REGEX REPLACE "^ja$"	"Japanese"		LangName "${LangName}")
	STRING (REGEX REPLACE "^ko_KR$"	"Korean"		LangName "${LangName}")
	STRING (REGEX REPLACE "^lt$"	"Lithuanian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^nl$"	"Dutch"			LangName "${LangName}")
	STRING (REGEX REPLACE "^nn$"	"Norwegian (Nynorsk)"	LangName "${LangName}")
	STRING (REGEX REPLACE "^pl$"	"Polish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^pt_BR$"	"Portuguese (Brazilian)" LangName "${LangName}")
	STRING (REGEX REPLACE "^pt_PT$"	"Portuguese"		LangName "${LangName}")
	STRING (REGEX REPLACE "^ru$"	"Russian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^sl$"	"Slovenian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^sq$"	"Albanian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^sv$"	"Swedish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^tr$"	"Turkish"		LangName "${LangName}")
	STRING (REGEX REPLACE "^uk$"	"Ukrainian"		LangName "${LangName}")
	STRING (REGEX REPLACE "^zh_CN$"	"Chinese (Simplified)"	LangName "${LangName}")
	STRING (REGEX REPLACE "^zh_TW$"	"Chinese (Traditional)"	LangName "${LangName}")
	CMAKE_DEPENDENT_OPTION (TRANSLATION_${PoName} "Build ${LangName} translation" ${DefaultMode} ENABLE_NLS OFF)
ENDFUNCTION (SetTranslationOption)

FOREACH (PO_FILE ${PO_FILES})
	STRING (REGEX REPLACE ".po" "" PO_FILE ${PO_FILE})

	IF (TRANSLATIONS)
		STRING (REGEX MATCH "${PO_FILE}," TRANS "${TRANSLATIONS}")

		IF (TRANS)
			SetTranslationOption ("${PO_FILE}" ON)
		ELSE (TRANS)
			SetTranslationOption ("${PO_FILE}" OFF)
		ENDIF (TRANS)
	ELSE (TRANSLATIONS)
		SetTranslationOption ("${PO_FILE}" ON)
	ENDIF (TRANSLATIONS)

	IF (TRANSLATION_${PO_FILE})
		LIST (APPEND PO_BUILD ${PO_FILE}.po)
	ENDIF (TRANSLATION_${PO_FILE})
ENDFOREACH (PO_FILE ${PO_FILES})

GETTEXT_PROCESS_PO_FILES ("" ALL INSTALL_DESTINATION ${LOCALEDIR} PO_FILES ${PO_BUILD})

=== unittests/CMakeLists.txt ===
ADD_SUBDIRECTORY (muleunit)
ADD_SUBDIRECTORY (tests)

=== docs/man/CMakeLists.txt ===
IF (BUILD_AMULECMD)
	CHECK_MANPAGE ("amulecmd")
ENDIF (BUILD_AMULECMD)

IF (BUILD_DAEMON)
	CHECK_MANPAGE ("amuled")
ENDIF (BUILD_DAEMON)

IF (BUILD_ED2K)
	CHECK_MANPAGE ("ed2k")
ENDIF (BUILD_ED2K)

IF (BUILD_MONOLITHIC)
	CHECK_MANPAGE ("amule")
ENDIF (BUILD_MONOLITHIC)

IF (BUILD_REMOTEGUI)
	CHECK_MANPAGE ("amulegui")
ENDIF (BUILD_REMOTEGUI)

IF (BUILD_WEBSERVER)
	CHECK_MANPAGE ("amuleweb")
ENDIF (BUILD_WEBSERVER)

=== src/libs/CMakeLists.txt ===
IF (NEED_LIB_EC)
	ADD_SUBDIRECTORY (ec)
ENDIF (NEED_LIB_EC)

IF (NEED_LIB_MULECOMMON)
	ADD_SUBDIRECTORY (common)
ENDIF (NEED_LIB_MULECOMMON)

=== src/skins/CMakeLists.txt ===
FILE (GLOB SKIN_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.zip")

FOREACH (SKIN_FILE ${SKIN_FILES})
	STRING (REGEX REPLACE ".zip" "" SKIN_FILE ${SKIN_FILE})

	OPTION (INSTALL_SKIN_${SKIN_FILE} "Install the \"${SKIN_FILE}\" skin" ON)

	IF (INSTALL_SKIN_${SKIN_FILE})
		LIST (APPEND SKIN_INSTALL ${SKIN_FILE}.zip)
	ENDIF (INSTALL_SKIN_${SKIN_FILE})
ENDFOREACH (SKIN_FILE ${SKIN_FILES})

INSTALL (FILES ${SKIN_INSTALL} 
	DESTINATION "${PKGDATADIR}/skins"
)

=== src/utils/CMakeLists.txt ===
IF (BUILD_ALC OR BUILD_ALCC)
	ADD_SUBDIRECTORY (aLinkCreator)
ENDIF (BUILD_ALC OR BUILD_ALCC)

IF (BUILD_CAS)
	ADD_SUBDIRECTORY (cas)
ENDIF (BUILD_CAS)

IF (BUILD_FILEVIEW)
	ADD_SUBDIRECTORY (fileview)
ENDIF (BUILD_FILEVIEW)

IF (BUILD_PLASMAMULE)
	ADD_SUBDIRECTORY (plasmamule)
ENDIF (BUILD_PLASMAMULE)

IF (BUILD_WXCAS)
	ADD_SUBDIRECTORY (wxCas)
ENDIF (BUILD_WXCAS)

IF (BUILD_XAS)
	ADD_SUBDIRECTORY (xas)
ENDIF (BUILD_XAS)

=== src/webserver/CMakeLists.txt ===
add_subdirectory (default)
add_subdirectory (src)

=== unittests/muleunit/CMakeLists.txt ===
add_library (muleunit OBJECT
	test.cpp
	main.cpp
	testcase.cpp
	testregistry.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/MuleDebug.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/StringFunctions.cpp
)

target_compile_definitions (muleunit
	PUBLIC MULEUNIT
	PUBLIC wxUSE_GUI=0
)

target_include_directories (muleunit
	PUBLIC ${amule_BINARY_DIR}
	PUBLIC ${CMAKE_SOURCE_DIR}/src/libs
	INTERFACE ${CMAKE_SOURCE_DIR}/unittests
)

target_link_libraries (muleunit
	wxWidgets::BASE
)

if (HAVE_BFD)
	target_link_libraries (muleunit
		${BFD_LIBRARY}
	)
endif()

=== unittests/tests/CMakeLists.txt ===
add_executable (CTagTest
	CTagTest.cpp
	${CMAKE_SOURCE_DIR}/src/SafeFile.cpp
	${CMAKE_SOURCE_DIR}/src/MemFile.cpp
	${CMAKE_SOURCE_DIR}/src/Tag.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/Format.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/strerror_r.c
)

add_test (NAME CTagTest
	COMMAND CTagTest
)

target_include_directories (CTagTest
	PRIVATE ${CMAKE_BINARY_DIR}
	PRIVATE ${CMAKE_SOURCE_DIR}/src
	PRIVATE ${CMAKE_SOURCE_DIR}/src/include
)

target_link_libraries (CTagTest
	muleunit
)

add_executable (CUInt128Test
	CUInt128Test.cpp
	${CMAKE_SOURCE_DIR}/src/kademlia/utils/UInt128.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/Format.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/strerror_r.c
)

add_test (NAME CUInt128Test
	COMMAND CUInt128Test
)

target_include_directories (CUInt128Test
	PRIVATE ${CMAKE_SOURCE_DIR}/src
)

target_link_libraries (CUInt128Test
	muleunit
)

add_executable (FileDataIOTest
	FileDataIOTest.cpp
	${CMAKE_SOURCE_DIR}/src/SafeFile.cpp
	${CMAKE_SOURCE_DIR}/src/CFile.cpp
	${CMAKE_SOURCE_DIR}/src/MemFile.cpp
	${CMAKE_SOURCE_DIR}/src/kademlia/utils/UInt128.cpp
	${CMAKE_SOURCE_DIR}/src/Tag.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/Path.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/Format.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/strerror_r.c
)

add_test (NAME FileDataIOTest
	COMMAND FileDataIOTest
)

target_include_directories (FileDataIOTest
	PRIVATE ${CMAKE_BINARY_DIR}
	PRIVATE ${CMAKE_SOURCE_DIR}/src
	PRIVATE ${CMAKE_SOURCE_DIR}/src/include
)

target_link_libraries (FileDataIOTest
	muleunit
)

add_executable (FormatTest
	FormatTest.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/Format.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/strerror_r.c
)

add_test (NAME FormatTest
	COMMAND FormatTest
)

target_include_directories (FormatTest
	PRIVATE ${CMAKE_SOURCE_DIR}/src
)

target_link_libraries (FormatTest
	muleunit
)

add_executable (NetworkFunctionsTest
	NetworkFunctionsTest.cpp
	${CMAKE_SOURCE_DIR}/src/NetworkFunctions.cpp
	${CMAKE_SOURCE_DIR}/src/LibSocket.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/Format.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/strerror_r.c
)

add_test (NAME NetworkFunctionsTest
	COMMAND NetworkFunctionsTest
)

target_compile_definitions (NetworkFunctionsTest
	PRIVATE "EC_REMOTE"
)

target_include_directories (NetworkFunctionsTest
	PRIVATE ${CMAKE_SOURCE_DIR}/src
	PRIVATE ${CMAKE_SOURCE_DIR}/src/include
)

if (ENABLE_BOOST)
	target_include_directories (NetworkFunctionsTest
		PRIVATE ${Boost_INCLUDE_DIR}
	)

	target_link_libraries (NetworkFunctionsTest
		${Boost_LIBRARIES}
	)
endif()

target_link_libraries (NetworkFunctionsTest
	muleunit
	wxWidgets::NET
)

add_executable (PathTest
	PathTest.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/Format.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/strerror_r.c
	${CMAKE_SOURCE_DIR}/src/libs/common/Path.cpp
)

add_test (NAME PathTest
	COMMAND PathTest
)

target_link_libraries (PathTest
	muleunit
)

add_executable (RangeMapTest
	RangeMapTest.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/Format.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/strerror_r.c
)

add_test (NAME RangeMapTest
	COMMAND RangeMapTest
)

target_include_directories (RangeMapTest
	PRIVATE ${CMAKE_SOURCE_DIR}/src
)

target_link_libraries (RangeMapTest
	muleunit
)

add_executable (StringFunctionsTest
	StringFunctionsTest.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/Format.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/strerror_r.c
	${CMAKE_SOURCE_DIR}/src/libs/common/Path.cpp
)

add_test (NAME StringFunctionsTest
	COMMAND StringFunctionsTest
)

target_link_libraries (StringFunctionsTest
	muleunit
)

add_executable (TextFileTest
	TextFileTest.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/Format.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/strerror_r.c
	${CMAKE_SOURCE_DIR}/src/libs/common/Path.cpp
	${CMAKE_SOURCE_DIR}/src/libs/common/TextFile.cpp
)

add_test (NAME TextFileTest
	COMMAND TextFileTest
)

target_compile_definitions (TextFileTest
	PRIVATE "SRCDIR=${CMAKE_CURRENT_SOURCE_DIR}"
)

target_include_directories (TextFileTest
	PRIVATE ${CMAKE_SOURCE_DIR}/src
	PRIVATE ${CMAKE_SOURCE_DIR}/src/include
)

target_link_libraries (TextFileTest
	muleunit
)

=== src/libs/common/CMakeLists.txt ===
add_library (mulecommon STATIC
	FileFunctions.cpp
	Format.cpp
	MD5Sum.cpp
	MuleDebug.cpp
	Path.cpp
	strerror_r.c
	StringFunctions.cpp
	TextFile.cpp
)

target_include_directories (mulecommon
	PRIVATE ${amule_BINARY_DIR}
)

target_link_libraries (mulecommon
	wxWidgets::BASE
)

if (HAVE_BFD)
	target_link_libraries (mulecommon
		${BFD_LIBRARY}
	)
endif()

=== debian/changelog ===
amule (1:2.3.3-3.2) unstable; urgency=medium

  * Non-maintainer upload
  * Rollback to the state of 1:2.3.3-3 as per the maintainer's request;
    Closes: #1095995

 -- Sven Geuer <sge@debian.org>  Sat, 15 Feb 2025 16:22:24 +0100

amule (1:2.3.3-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Introduce systemd unit; Closes: #1039123, #950427

 -- Sven Geuer <sge@debian.org>  Fri, 14 Feb 2025 21:24:10 +0100

amule (1:2.3.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + amule-common: Add Multi-Arch: foreign.
  * Use secure URI in Homepage field.
  * Drop transition for old debug package migration.
  * Update standards version to 4.6.0, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libupnp-dev (>= 1:1.6.24-4~).
    + amule: Drop conflict with removed package amule-common (<<
      2.2.0~svn20080525-1) in Replaces.
    + amule-common: Drop conflict with removed package amule-daemon (<< 2.1.2-3)
      in Replaces.
    + amule-common: Drop conflict with removed package amule-utils (<< 2.0.3-4)
      in Replaces.
    + amule-utils: Drop conflict with removed package amule (<< 2.1.2-1) in
      Replaces.
    + amule-utils: Drop conflict with removed package amule-common (<< 2.1.2-3)
      in Replaces.

  [ Pino Toscano ]
  * Drop menu files and their Debian-specific pixmaps, since amule &
    amule-utils-gui already provide .desktop files.

  [ Olly Betts ]
  * Update to use wxwidgets3.2 - new patch wx3.2.patch; Closes: #1019841

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Mar 2023 01:32:05 -0500

amule (1:2.3.3-2) unstable; urgency=medium

  * rebuild to pick up libcrypto++8; Closes: #995282, #995285

 -- Sandro Tosi <morph@debian.org>  Thu, 30 Sep 2021 23:26:49 -0400

amule (1:2.3.3-1) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - extend packaging copyright years
    - run wrap-and-sort
    - bump Standards-Version to 4.5.1 (no changes needed)
  * set dh compat to 13
  * debian/rules
    - set hardening flags

 -- Sandro Tosi <morph@debian.org>  Tue, 09 Feb 2021 00:17:13 -0500

=== debian/control ===
Source: amule
Section: net
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Build-Depends: autoconf,
               automake,
               autopoint,
               autotools-dev,
               debhelper-compat (= 13),
               libboost-dev,
               libboost-system-dev,
               libcrypto++-dev,
               libgd-dev,
               libgeoip-dev,
               libglib2.0-dev,
               libpng-dev,
               libreadline-dev,
               libupnp-dev,
               libwxgtk3.2-dev,
               wx3.2-i18n,
               zlib1g-dev,
Standards-Version: 4.6.0
Homepage: https://www.amule.org
Vcs-Git: https://salsa.debian.org/debian/amule.git
Vcs-Browser: https://salsa.debian.org/debian/amule

Package: amule
Architecture: any
Depends: amule-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: amule-utils,
            unzip,
Suggests: amule-utils-gui,
Description: client for the eD2k and Kad networks, like eMule
 aMule is a peer-to-peer file sharing application, designed to connect
 to the eDonkey and Kad networks. It has a wide range of features,
 including many of the original eMule client, like:
 .
  * online signature, source exchange, compressed transfers, secure
    identification, and IP filter support
  * boolean search, which can be local, global, or in the Kad network
  * checks against aggressive clients
  * slot allocation, to decide the number of remote clients
  * systray works well both in GNOME and KDE
  * translations to many languages
 .
 A daemonized version of the application that does not need a graphic
 environment to run is available in the amule-daemon package, and
 various utilities of interest can be found in the amule-utils and
 amule-utils-gui packages, including the ed2k link handler.

Package: amule-common
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: foreign
Description: common files for the rest of aMule packages
 This package contains localization files, webserver templates and GUI skins
 for aMule. You probably don't want to install this package alone, but amule,
 amule-daemon or amule-utils-gui instead.

Package: amule-utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: amule-common,
            fonts-dejavu-core,
Suggests: amule-gnome-support,
Breaks: xmule (<= 1.10.0b-1),
Description: utilities for aMule (command-line version)
 This package contains a set of command-line utilities related to aMule,
 the eD2k network client:
 .
  * ed2k: handles ed2k:// links, queueing them into aMule
  * cas: displays the contents of your aMule online signature
  * alcc: computes ed2k:// links for the given input files
  * amulecmd: text-based client to control aMule or the aMule daemon
 .
 Some of these utilities have graphic versions, which can be found in
 the amule-utils-gui package.

Package: amule-utils-gui
Architecture: any
Replaces: astats,
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: amule-common,
Description: graphic utilities for aMule
 This package contains a set of graphic utilities related to aMule, the
 eD2k network client:
 .
  * wxcas: displays the contents of your aMule online signature
  * alc: computes ed2k:// links for the given input files
  * amulegui: graphic client to control aMule or the aMule daemon
 .
 A command-line version of these utilities can be found in the
 amule-utils package.

Package: amule-daemon
Architecture: any
Depends: amule-common (= ${source:Version}),
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: amule-utils,
            unzip,
Description: non-graphic version of aMule, a client for the eD2k and Kad networks
 This package contains a daemonized version of aMule, amuled, that does
 not need a graphic environment to run, and can run in the background as
 well. It is normally used to be run in a machine 24/7, since the
 application continues to run if the X11 session closes.
 .
 Included in the package is a webserver that provides an interface to
 control the daemon. Remote connections are supported, and the daemon
 can be configured to start the webserver automatically at startup. It
 is also possible to control amuled via amulecmd, from the amule-utils
 package, and amulegui, available in the amule-utils-gui package.
 .
 See the description of the amule package for a list of features, and
 /usr/share/doc/amule-daemon/README.Debian for some basic usage notes.

Package: amule-gnome-support
Architecture: all
Depends: amule-utils,
         ${misc:Depends},
Recommends: amule | amule-daemon,
Description: ed2k links handling support for GNOME web browsers
 This package contains a schemas file that allows ed2k links handling support
 with any GNOME web browser that use GConf. For example: Firefox, Epiphany,
 Flock, Seamonkey or Galeon.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

###

# Configure arguments

confflags = --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	    --disable-dependency-tracking --disable-ccache --disable-debug		\
	    --enable-amule-daemon --enable-amulecmd --enable-ed2k --enable-webserver	\
	    --enable-amule-gui --enable-cas --enable-wxcas --enable-alc --enable-alcc	\
	    --disable-embedded-crypto --enable-geoip --enable-upnp	\
	    --with-denoise-level=0 --with-boost
#	    --enable-plasmamule --disable-embedded-crypto --enable-geoip --enable-upnp	\

include /usr/share/dpkg/architecture.mk

confflags += --build $(DEB_BUILD_GNU_TYPE)

# Only specify --host when cross-compiling
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --host $(DEB_HOST_GNU_TYPE)
endif

###

# Directory to make the build on

objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

###

# CFLAGS

CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -Wall

CXXFLAGS = `dpkg-buildflags --get CXXFLAGS`

LDFLAGS_DEF += `dpkg-buildflags --get LDFLAGS`
CPPFLAGS_DEF = `dpkg-buildflags --get CPPFLAGS`

CPPFLAGS_DEF += -DASIO_SOCKETS=1

###

# Build flags

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

###

configure:
	./autogen.sh

$(objdir)/config.status: configure
	dh_testdir

	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .

	-mkdir $(objdir)
	cd $(objdir) && \
	env CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS_DEF)" LDFLAGS="$(LDFLAGS_DEF)" ../configure $(confflags)

	touch $@

#

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: $(objdir)/config.status
	dh_testdir

	cd $(objdir) && \
	$(MAKE) $(NJOBS) BFD_LIB= BFD_FLAGS=

	touch $@

#

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp install-stamp
	rm -f config.guess config.sub

	# Remove build tree
	rm -rf $(objdir)
	rm -f po/*.gmo

	dh_clean

#

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	cd $(objdir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	chmod +x debian/amuled_home_wrapper.sh

	mkdir -p $(CURDIR)/debian/tmp/usr/share/icons/hicolor/128x128/apps
	cp $(CURDIR)/amule.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/128x128/apps

	dh_install --sourcedir=debian/tmp

	rm -f $(CURDIR)/debian/amule/usr/share/icons/hicolor/scalable/mimetypes/application-x-emulecollection.svg

	touch $@

#

binary: binary-arch binary-indep

binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs docs/Changelog
	dh_installdocs
	dh_installexamples
	dh_installmime
	dh_installdebconf
	dh_installinit
	dh_bugfiles -A
	dh_installman
	dh_lintian
	dh_icons
	dh_installgsettings -pamule-gnome-support
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

import-orig:
	# call it like ./debian/rules import-orig TARBALL=<path to the new tarball>
	git-import-orig --filter=debian/* --filter=config.{sub,guess} --pristine-tar --filter-pristine-tar ${TARBALL}

#

.PHONY: build clean install binary binary-arch binary-indep binary-common import-orig

## amule 2.4.0~git20151120.0023527bc2

=== debian/changelog ===
amule (2.4.0~git20151120.0023527bc2-1ubuntu1) xenial; urgency=medium

  * Install amule.png into hicolor (LP: #1557405)

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 15 Mar 2016 10:09:37 +0000

=== debian/control ===
Source: amule
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian aMule Team <pkg-amule-devel@lists.alioth.debian.org>
Uploaders: Adrian Yanes <devel@ayanes.com>, Sandro Tosi <morph@debian.org>, Giuseppe Iuculano <iuculano@debian.org>
Build-Depends:
 autoconf,
 automake,
 autotools-dev,
 autopoint,
 debhelper (>= 7),
##
 libboost-dev,
 libboost-system-dev,
 libcrypto++-dev,
 libgd2-dev,
 libgeoip-dev,
 libglib2.0-dev,
 kdelibs5-dev,
 libpng-dev,
 libqt4-dev,
 libreadline-dev,
 libupnp-dev,
 libwxgtk3.0-dev,
 wx3.0-i18n,
 zlib1g-dev,
Standards-Version: 3.9.6
Homepage: http://www.amule.org
Vcs-Git: git://anonscm.debian.org/pkg-amule/amule.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-amule/amule.git

Package: amule
Architecture: any
Depends: amule-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: amule-utils, unzip
Suggests: amule-utils-gui
Replaces: amule-common (<< 2.2.0~svn20080525-1)
Description: client for the eD2k and Kad networks, like eMule
 aMule is a peer-to-peer file sharing application, designed to connect
 to the eDonkey and Kad networks. It has a wide range of features,
 including many of the original eMule client, like:
 .
  * online signature, source exchange, compressed transfers, secure
    identification, and IP filter support
  * boolean search, which can be local, global, or in the Kad network
  * checks against aggressive clients
  * slot allocation, to decide the number of remote clients
  * systray works well both in GNOME and KDE
  * translations to many languages
 .
 A daemonized version of the application that does not need a graphic
 environment to run is available in the amule-daemon package, and
 various utilities of interest can be found in the amule-utils and
 amule-utils-gui packages, including the ed2k link handler.

Package: amule-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: amule-utils (<< 2.0.3-4), amule-daemon (<< 2.1.2-3)
Description: common files for the rest of aMule packages
 This package contains localization files, webserver templates and GUI skins
 for aMule. You probably don't want to install this package alone, but amule,
 amule-daemon or amule-utils-gui instead.

Package: amule-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: amule-common, ttf-dejavu-core
Suggests: amule-gnome-support
Replaces: amule-common (<< 2.1.2-3), amule (<< 2.1.2-1)
Breaks: xmule (<= 1.10.0b-1)
Description: utilities for aMule (command-line version)
 This package contains a set of command-line utilities related to aMule,
 the eD2k network client:
 .
  * ed2k: handles ed2k:// links, queueing them into aMule
  * cas: displays the contents of your aMule online signature
  * alcc: computes ed2k:// links for the given input files
  * amulecmd: text-based client to control aMule or the aMule daemon
 .
 Some of these utilities have graphic versions, which can be found in
 the amule-utils-gui package.

Package: amule-utils-gui
Architecture: any
Replaces: astats
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: amule-common
Description: graphic utilities for aMule
 This package contains a set of graphic utilities related to aMule, the
 eD2k network client:
 .
  * wxcas: displays the contents of your aMule online signature
  * alc: computes ed2k:// links for the given input files
  * amulegui (EXPERIMENTAL): graphic client to control aMule or the
    aMule daemon
 .
 A command-line version of these utilities can be found in the
 amule-utils package.

Package: amule-daemon
Architecture: any
Depends: amule-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: amule-utils, unzip
Description: non-graphic version of aMule, a client for the eD2k and Kad networks
 This package contains a daemonized version of aMule, amuled, that does
 not need a graphic environment to run, and can run in the background as
 well. It is normally used to be run in a machine 24/7, since the
 application continues to run if the X11 session closes.
 .
 Included in the package is a webserver that provides an interface to
 control the daemon. Remote connections are supported, and the daemon
 can be configured to start the webserver automatically at startup. It
 is also possible to control amuled via amulecmd, from the amule-utils
 package, and amulegui, available in the amule-utils-gui package.
 .
 See the description of the amule package for a list of features, and
 /usr/share/doc/amule-daemon/README.Debian for some basic usage notes.

Package: amule-gnome-support
Architecture: all
Depends: amule-utils, ${misc:Depends}
Recommends: amule | amule-daemon
Description: ed2k links handling support for GNOME web browsers
 This package contains a schemas file that allows ed2k links handling support
 with any GNOME web browser that use GConf. For example: Firefox, Epiphany,
 Flock, Seamonkey or Galeon.

Package: plasma-widget-amule
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: amule | amule-daemon
Description: kde plasmoid to control amule
 plasmoid to control the amule application and helper apps and mimetype
 for handling emulecollections

Package: amule-dbg
Architecture: any
Section: debug
Priority: extra
Depends: amule (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: client for the eD2k and Kad networks, like eMule (debug symbols)
 aMule is a peer-to-peer file sharing application, designed to connect
 to the eDonkey and Kad networks.
 .
 This package contains the debug symbols for amule.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,4 @@
 #! /usr/bin/make -f
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
 
 ###
 
@@ -12,11 +8,11 @@
 	    --disable-dependency-tracking --disable-ccache --disable-debug		\
 	    --enable-amule-daemon --enable-amulecmd --enable-ed2k --enable-webserver	\
 	    --enable-amule-gui --enable-cas --enable-wxcas --enable-alc --enable-alcc	\
-	    --disable-embedded-crypto --enable-geoip --enable-upnp	\
+	    --enable-plasmamule --disable-embedded-crypto --enable-geoip --enable-upnp	\
 	    --with-denoise-level=0 --with-boost
-#	    --enable-plasmamule --disable-embedded-crypto --enable-geoip --enable-upnp	\
 
-include /usr/share/dpkg/architecture.mk
+DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 confflags += --build $(DEB_BUILD_GNU_TYPE)
 
@@ -47,14 +43,6 @@
 
 ###
 
-# Build flags
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-    NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-endif
-
-###
-
 configure:
 	./autogen.sh
 
@@ -63,6 +51,8 @@
 
 	ln -sf /usr/share/misc/config.sub .
 	ln -sf /usr/share/misc/config.guess .
+
+	ln -sf debian/amule-32.xpm amule.xpm
 
 	-mkdir $(objdir)
 	cd $(objdir) && \
@@ -79,7 +69,7 @@
 	dh_testdir
 
 	cd $(objdir) && \
-	$(MAKE) $(NJOBS) BFD_LIB= BFD_FLAGS=
+	$(MAKE) BFD_LIB= BFD_FLAGS=
 
 	touch $@
 
@@ -95,6 +85,8 @@
 	# Remove build tree
 	rm -rf $(objdir)
 	rm -f po/*.gmo
+
+	rm -f amule.xpm
 
 	dh_clean
 
@@ -113,8 +105,6 @@
 	cp $(CURDIR)/amule.png $(CURDIR)/debian/tmp/usr/share/icons/hicolor/128x128/apps
 
 	dh_install --sourcedir=debian/tmp
-
-	rm -f $(CURDIR)/debian/amule/usr/share/icons/hicolor/scalable/mimetypes/application-x-emulecollection.svg
 
 	touch $@
 
@@ -135,15 +125,15 @@
 	dh_installdocs
 	dh_installexamples
 	dh_installmime
+	dh_installmenu
 	dh_installdebconf
 	dh_installinit
-	dh_bugfiles -A
 	dh_installman
 	dh_lintian
 	dh_icons
 	dh_installgsettings -pamule-gnome-support
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=amule-dbg
 	dh_compress
 	dh_fixperms
 	dh_installdeb
